{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":37016,"path":"operational-technology/troubleshooting-ot-discovery.md","title":"Support and troubleshooting","bundle":null,"doc_type":null,"release":"australia","body":"\n# Support and troubleshooting\n\nCommon troubleshooting options when you set up the integration for the Service Graph Connector for ServiceNow OT Discovery.\n\n## Test the connection\n\nYou can test the connection after configuring your URL and credentials for the integration. If everything is configured correctly, the service graph connection displays a successful connection test without any error. If something goes wrong during the connection, the Service Graph connection displays the error message, error code, and response body from the API.\n\n\\[Omitted image \"mission-secure-troubleshooting-test.png\"\\] Alt text: Displays error message, error code, and response body from the API.\n\n## Review Outbound HTTP Request records\n\nYou can also review the Outbound HTTP Request records associated with the test. Navigate to **All** &gt; **System Logs** &gt; **Outbound HTTP Requests**.\n\n\\[Omitted image \"mission-secure-outbound-request.png\"\\] Alt text: Review the Outbound HTTP Request records associated with the test\n\nIn the list view, you should see the URL hostname that you specified when setting up the connection parameters. Open this record to view the connection details.\n\n\\[Omitted image \"mission-secure-outbound-log.png\"\\] Alt text: Review the URL hostname that you specified when setting up the connection parameters\n\nBy default, the log level is set to Basic, so you can’t see the response body or quest body, but the response status indicates the issue. For example, a 401 in the Response status indicates an unauthorized request. To resolve the issue, navigate to the connection and verify that you have the correct Client ID and Client Secret entered for the connection. For more information, see [Install the Service Graph Connector for ServiceNow Operational Technology Discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/operational-technology/install-sgc-ot-discovery.md).\n\n## Additional diagnosis\n\nIf you must diagnose further, you can override the log level to give more information, for example using the global system properties. Navigate to the system properties by going to **sys\\_properties.list** in the application navigator and update the **glide.outbound\\_http\\_log.override** to the value true and update the **glide.outbound\\_http\\_log.override.level** to an appropriate value. For example, change value to **All**.\n\n**Note:** You can perform action only for a limited period of time for troubleshooting. Make sure you revert the changes to the original configuration.\n\n\\[Omitted image \"mission-secure-additional-diagnosis.png\"\\] Alt text: Override log level by modifying global parameters\n\nWith extended logging turned on, you can provide additional details for requests after that to give more context to the issue.\n\nIf you encounter a response status of 401, it’s typically an issue with your credentials. To resolve, navigate to the connection in the Flow Designer and verify that the API Key is filled in as expected with the correct value.\n\nIf you encounter any issues with the flattening of the Asset or missing data from the API, you can run a test load and validate the flattened data from the Staging table. Then compare it with the **api\\_data** to see if the data was provided from the API.\n\n**Parent Topic:**[Service Graph Connector for ServiceNow Operational Technology \\(OT\\) Discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/operational-technology/sgc-ot-discovery.md)\n\n"}}